import { Plugin, PluginManifest, PluginModules } from "@web3api/core-js";
export interface GraphNodeConfig {
    provider: string;
}
export declare class GraphNodePlugin extends Plugin {
    private _config;
    constructor(_config: GraphNodeConfig);
    static manifest(): PluginManifest;
    getModules(): PluginModules;
    query(subgraphId: string, query: string): Promise<string>;
}
